中危 imagemagick imagemagick 整数溢出或超界折返

CVE编号

CVE-2020-27769

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-15
漏洞描述
In ImageMagick versions before 7.0.9-0, there are outside the range of representable values of type 'float' at MagickCore/quantize.c.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 imagemagick imagemagick * Up to
(excluding)
7.0.9-0
运行在以下环境
系统 debian_10 imagemagick * Up to
(including)
6.9.10.23+dfsg-2.1+deb10u1
运行在以下环境
系统 debian_9 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-11+deb9u12
运行在以下环境
系统 fedora_EPEL_8 imagemagick * Up to
(excluding)
0.9.8.1-2.el8
运行在以下环境
系统 opensuse_Leap_15.1 imagemagick * Up to
(excluding)
7.0.7.34-lp151.7.26.1
运行在以下环境
系统 opensuse_Leap_15.2 imagemagick * Up to
(excluding)
7.0.7.34-lp152.12.9.1
运行在以下环境
系统 suse_12_SP5 imagemagick * Up to
(excluding)
6.8.8.1-71.154.1
运行在以下环境
系统 ubuntu_18.04 imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.11
运行在以下环境
系统 ubuntu_18.04.5_lts imagemagick * Up to
(excluding)
8:6.9.7.4+dfsg-16ubuntu6.11
运行在以下环境
系统 ubuntu_20.04 imagemagick * Up to
(excluding)
8:6.9.10.23+dfsg-2.1ubuntu11.4
阿里云评分
6.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-190 整数溢出或超界折返
阿里云安全产品覆盖情况